@echo off
REM *******************************************************************
REM
REM  Description: C ESI version 2 sample make file for CICS TG SDK
REM
REM  Licensed Materials - Property of IBM  
REM   
REM  5724-I81,5725-B65,5655-Y20 
REM   
REM  (C) Copyright IBM Corp. 2011, 2014 All Rights Reserved.  
REM   
REM  US Government Users Restricted Rights - Use, duplication or  
REM  disclosure restricted by GSA ADP Schedule Contract with  
REM  IBM Corp.  
REM
REM  Status: Version 9 Release 2 
REM *******************************************************************
SETLOCAL ENABLEEXTENSIONS

REM USAGE make [32|64]   the default option is 32
REM The compiled samples will be generated in the same location as this script.

REM Determine location of this file
SET LOC=%~dp0

REM Determine current working directory
SET USERCWD=%CD%

REM Switch current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%LOC%"

REM Set the location of the ctgclient library
set CTG_LIB_PATH=
if "%1" == "32" set CTG_LIB_PATH=..\..\Windows\link32
if "%1" == "64" set CTG_LIB_PATH=..\..\Windows\link64
if "%1" == "" set CTG_LIB_PATH=..\..\Windows\link32
if NOT DEFINED CTG_LIB_PATH GOTO INVALIDPARM

echo CICS Transaction Gateway Basic ESI version 2 C Sample:
echo on

cl /nologo /Od /Z7 /D_DEBUG /c /DCICS_W32 /D_CRT_SECURE_NO_DEPRECATE ^
   /I ..\..\include /I ..\include /Foctgesib1.obj ctgesib1.c

link /LIBPATH:%CTG_LIB_PATH% /DEBUG ctgesib1.obj ctgclient.lib /OUT:ctgesib1.exe

@echo off
REM Restore current working directory if required
if /i "%LOC%" NEQ "%USERCWD%" CD "%USERCWD%"
ENDLOCAL
GOTO END

:INVALIDPARM
echo An invalid parameter has been specified
echo Usage syntax: %0% [32^|64]
echo 32 - Compile 32-bit sample (default)
echo 64 - Compile 64-bit sample

:END
