      *                                                                
      * Module Name        CICSESI.CBL                                 
      *                                                                
      * Descriptive Name   CICS External Security Interface            
      *      
      * Licensed Materials - Property of IBM  
      *  
      * "Restricted Materials of IBM"  
      *  
      * 5724-I81,5725-B65,5655-Y20 
      *  
      * (C) Copyright IBM Corp. 1998, 2014  
      *  
      * US Government Users Restricted Rights - Use, duplication or  
      * disclosure restricted by GSA ADP Schedule Contract with  
      * IBM Corp.  
      * 
      * Status: Version 9 Release 2 
      * 
      * Notes :-                                                       
      *                                                                
      * This copybook is provided with the CICS Transaction Gateway.                                               
      *                                                                

      *
      * Constants
      *
       77 CICS-ESI-USERID-MAX        PIC 9(4)  COMP-5 VALUE 10.
       77 CICS-ESI-PASSWORD-MAX      PIC 9(4)  COMP-5 VALUE 10.
       77 CICS-ESI-SYSTEM-MAX        PIC 9(4)  COMP-5 VALUE 8.

      *
      * Parameter block to ESI calls
      *

      *
      *  ESI DETAILS structure
      *
       01 CICS-ESIDETAILS.
           03 LASTVERIFIEDDATE.
              05 YEAR                PIC 9(4)  COMP-5.
              05 MONTH               PIC 9(4)  COMP-5.
              05 THEDAY              PIC 9(4)  COMP-5.
           03 LASTVERIFIEDTIME.
              05 HOURS               PIC 9(4)  COMP-5.
              05 MINUTES             PIC 9(4)  COMP-5.
              05 SECONDS             PIC 9(4)  COMP-5.
              05 HUNDREDTHS          PIC 9(4)  COMP-5.
           03 EXPIRYDATE.
              05 YEAR                PIC 9(4)  COMP-5.
              05 MONTH               PIC 9(4)  COMP-5.
              05 THEDAY              PIC 9(4)  COMP-5.
           03 EXPIRYTIME.
              05 HOURS               PIC 9(4)  COMP-5.
              05 MINUTES             PIC 9(4)  COMP-5.
              05 SECONDS             PIC 9(4)  COMP-5.
              05 HUNDREDTHS          PIC 9(4)  COMP-5.
           03 LASTACCESSDATE.
              05 YEAR                PIC 9(4)  COMP-5.
              05 MONTH               PIC 9(4)  COMP-5.
              05 THEDAY              PIC 9(4)  COMP-5.
           03 LASTACCESSTIME.
              05 HOURS               PIC 9(4)  COMP-5.
              05 MINUTES             PIC 9(4)  COMP-5.
              05 SECONDS             PIC 9(4)  COMP-5.
              05 HUNDREDTHS          PIC 9(4)  COMP-5.
           03 INVALIDCOUNT           PIC 9(4)  COMP-5.

      *
      * List of error returns from ESI Calls
      *
       01 ESI-RETURN-CODE            PIC S9(4) COMP-5.
           88 CICS-ESI-NO-ERROR                      VALUE  0.
           88 CICS-ESI-ERR-NO-CICS                   VALUE -3.
           88 CICS-ESI-ERR-CICS-DIED                 VALUE -4.
           88 CICS-ESI-ERR-SYSTEM-ERROR              VALUE -9.
           88 CICS-ESI-ERR-RESOURCE-SHORTAGE         VALUE -16.
           88 CICS-ESI-ERR-NO-SESSIONS               VALUE -17.
           88 CICS-ESI-ERR-UNKNOWN-SERVER            VALUE -22.
           88 CICS-ESI-ERR-CALL-FROM-CALLBAK         VALUE -23.
           88 CICS-ESI-ERR-SECURITY-ERROR            VALUE -27.
           88 CICS-ESI-ERR-MAX-SYSTEMS               VALUE -28.
           88 CICS-ESI-ERR-MAX-SESSIONS              VALUE -29.
           88 CICS-ESI-ERR-NULL-USERID               VALUE -100.
           88 CICS-ESI-ERR-NULL-OLD-PASSWORD         VALUE -101.
           88 CICS-ESI-ERR-NULL-NEW-PASSWORD         VALUE -102.
           88 CICS-ESI-ERR-PEM-NOT-SUPPORTED         VALUE -103.
           88 CICS-ESI-ERR-PEM-NOT-ACTIVE            VALUE -104.
           88 CICS-ESI-ERR-PASSWORD-EXPIRED          VALUE -105.
           88 CICS-ESI-ERR-PASSWORD-INVALID          VALUE -106.
           88 CICS-ESI-ERR-PASSWORD-REJECTED         VALUE -107.
           88 CICS-ESI-ERR-USERID-INVALID            VALUE -108.
           88 CICS-ESI-ERR-NULL-PASSWORD             VALUE -101.
