/*               CICS TG Client API Classes

   FILE NAME:    ccleci.hpp

   CLASS:        CclECI

   DESCRIPTION:  Control class for the ECI interface

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 2 
*/


#ifndef _CCLECI_
#define _CCLECI_

class CclECI {
friend class CclException;
friend class CclFlowI;
public:

// class method

  CCLI static CclECI*
                 instance();                               //singleton instance


// constructors/destructors

  CCLI virtual  ~CclECI();


// actions

  CCLI virtual void
                 handleException(
                    CclException except );
  CCLI unsigned short
                 serverCount() const;                       //number of servers
  CCLI const char*
                 serverDesc(                               //server description
                   unsigned short index ) const;
  CCLI const char*
                 serverName(                                      //server name
                   unsigned short index ) const;


// attributes

  CCLI Ccl::ExCode
                 exCode() const;                   //most recent exception code
  CCLI const char*
                 exCodeText() const;         //most recent exception code..text
  CCLI Ccl::Bool isTracing() const;                         //outputting trace?
  CCLI const char*
                 listState() const;                                //state text


// constructors/destructors

protected:
  CCLI           CclECI();                      //protected default constructor
private:
                 CclECI( const CclECI& );           //disallow copy constructor
  CclECI&        operator=( const CclECI& );              //disallow assignment
  CclECII*       ivpI;                                                //private
};

#endif
