/*               CICS TG Client API Classes

   FILE NAME:    cclsec.hpp

   CLASS:        CclSecAttr

   DESCRIPTION:  Class for ESI security Attributes

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 2 
*/



#ifndef _CCLSEC_
#define _CCLSEC_

#include "cclstim.hpp"

class CclSecAttr
{

// Private methods.

private:
   friend class CclUseridI;

   CclSecAttr(void *ESIDetails);
   virtual ~CclSecAttr();

   void reInitialise(void *ESIDetails);


// Public methods

public:
   CCLI CclSecTime* lastVerifiedTime() const;
   CCLI CclSecTime* expiryTime() const;
   CCLI CclSecTime* lastAccessTime() const;
   CCLI unsigned short invalidCount() const;


// Private members

private:
   CclSecTime* ivpLastVerified;
   CclSecTime* ivpExpiry;
   CclSecTime* ivpLastAccess;
   unsigned short ivInvalidCount;
};
#endif
