/*               CICS TG Client API Classes

   FILE NAME:    cclstim.hpp

   CLASS:        CclSecTime

   DESCRIPTION:  Class for ESI Security Date/Time information

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 2 
*/



#ifndef _CCLSTIM_
#define _CCLSTIM_

#include <time.h>

class CclSecTime
{

// private methods

private:
   friend class CclSecAttr;

   CclSecTime(void *ESIDate, void *ESITime);
   virtual ~CclSecTime();

   void reInitialise(void *ESIDate, void *ESITime);


// public methods

public:
   CCLI unsigned short year() const;
   CCLI unsigned short month() const;
   CCLI unsigned short day() const;
   CCLI unsigned short hours() const;
   CCLI unsigned short minutes() const;
   CCLI unsigned short seconds() const;
   CCLI unsigned short hundredths() const;
   CCLI tm get_tm() const;
   CCLI time_t get_time_t() const;


// private members

private:
   unsigned short ivYear;
   unsigned short ivMonth;
   unsigned short ivDay;
   unsigned short ivHours;
   unsigned short ivMins;
   unsigned short ivSecs;
   unsigned short ivHundredths;
   tm ivtminfo;
   time_t ivtimetinfo;
};
#endif
