/*               CICS TG Client API Classes

   FILE NAME:    ccluow.hpp

   CLASS:        CclUOW

   DESCRIPTION:  Class to control a logical unit of work

 Licensed Materials - Property of IBM  
  
 "Restricted Materials of IBM"  
  
 5724-I81,5725-B65 
  
 (C) Copyright IBM Corp. 1995, 2014  
  
 US Government Users Restricted Rights - Use, duplication or  
 disclosure restricted by GSA ADP Schedule Contract with  
 IBM Corp.  
   
   Status: Version 9 Release 2 
*/


#ifndef _CCLUOW_
#define _CCLUOW_

class CclUOW {
friend class CclConn;
public:


// constructors/destructors

  CCLI           CclUOW();
  CCLI virtual  ~CclUOW();


// actions

  CCLI void      backout(                                         //backout UOW
                   CclFlow& flow );                               //user's flow
  CCLI void      commit(                                           //commit UOW
                   CclFlow& flow );                               //user's flow
  CCLI void      forceReset();                 //make UOW inactive and reset it


// attributes

  CCLI const char*
                 listState() const;                                //state text
  CCLI unsigned long
                 uowId() const;                                     //luw token
private:
                 CclUOW( const CclUOW& );           //disallow copy constructor
  CclUOW&        operator=( const CclUOW& );              //disallow assignment
  CclUOWI*       ivpI;                                                //private
};
#endif
